## com.gargoylesoftware.htmlunit
Class FormEncodingType

    java.lang.Object
      com.gargoylesoftware.htmlunit.FormEncodingType

All Implemented Interfaces:
  java.io.Serializable

    public final class FormEncodingType

extends java.lang.Object
implements java.io.Serializable

A collection of constants that represent the various ways a form can be encoded when submitted.

Version:
  $Revision: 4002 $
Author:
  Brad Clarke, Ahmed Ashour
See Also:
  Serialized Form

Field Summary
`static FormEncodingType` `MULTIPART` Multipart form encoding (used to be a constant in HttpClient but it was deprecated with no alternative).
`static FormEncodingType` `URL_ENCODED` URL-encoded form encoding.

Method Summary
`static FormEncodingType` `getInstance(java.lang.String name)` Returns the constant that matches the specified name.
`java.lang.String` `getName()` Returns the name of this encoding type.
`java.lang.String` `toString()` Returns a string representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### URL_ENCODED

    public static final FormEncodingType URL_ENCODED

  URL-encoded form encoding.

### MULTIPART

    public static final FormEncodingType MULTIPART

  Multipart form encoding (used to be a constant in HttpClient but it was deprecated with no alternative).

Method Detail

### getName

    public java.lang.String getName()

  Returns the name of this encoding type.

  Returns:
    the name of this encoding type

### getInstance

    public static FormEncodingType getInstance(java.lang.String name)

  Returns the constant that matches the specified name.

  Parameters:
    `name` - the name to search by
  Returns:
    the constant that matches the specified name

### toString

    public java.lang.String toString()

  Returns a string representation of this object.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of this object

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.